Package com.saxonica.ee.update

## Class XQueryParserExtensionEE

- java.lang.Object
- - net.sf.saxon.expr.parser.ParserExtension
  - - com.saxonica.expr.SaxonSyntaxExtension
    - - com.saxonica.expr.XQueryParserExtensionPE
      - - com.saxonica.ee.update.XQueryParserExtensionEE

-     public class XQueryParserExtensionEE
      extends XQueryParserExtensionPE

  Parser extension for syntax in XQuery Update and/or XQuery 3.0 that is supported only in -EE. This includes all syntax needed for XQuery Update.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.saxonica.expr.SaxonSyntaxExtension

      `SaxonSyntaxExtension.UnderscoreFunctionDetails`

    - ### Nested classes/interfaces inherited from class net.sf.saxon.expr.parser.ParserExtension

      `ParserExtension.InlineFunctionDetails, ParserExtension.TemporaryXSLTVariableBinding`

  - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.expr.parser.ParserExtension

      `inlineFunctionStack`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XQueryParserExtensionEE​(boolean updating)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Expression` | `parseExtendedExprSingle​(XPathParser p)` | Parse an ExprSingle
    `void` | `parseRevalidationDeclaration​(XQueryParser p)` | Parse the "declare revalidation" declaration (XQuery Update).
    `void` | `parseUpdatingFunctionDeclaration​(XQueryParser p)` | Parse an updating function declaration (allowed in XQuery Update only)

    - ### Methods inherited from class com.saxonica.expr.XQueryParserExtensionPE

      `isReservedInQuery, parseTypeAliasDeclaration`

    - ### Methods inherited from class com.saxonica.expr.SaxonSyntaxExtension

      `bindNumericParameterReference, handleExternalFunctionDeclaration, parseDotFunction, parseExtendedItemType, parseForMemberExpression, parseTypePattern, parseUnderscoreFunction, parseUnionType`

    - ### Methods inherited from class net.sf.saxon.expr.parser.ParserExtension

      `createDynamicCurriedFunction, curryFunction, findOuterRangeVariable, findOuterRangeVariable, makeArgumentPlaceMarker, makeCurriedFunction, makeInlineFunctionValue, parseFunctionItemType, parseInlineFunction, parseNamedFunctionReference`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XQueryParserExtensionEE

          public XQueryParserExtensionEE​(boolean updating)

  - ### Method Detail

    - #### parseRevalidationDeclaration

          public void parseRevalidationDeclaration​(XQueryParser p)
                                            throws XPathException

      Parse the "declare revalidation" declaration (XQuery Update). Syntax: <"declare" "revalidation"> ("strict" | "lax" | "skip")
      Overrides:
        `parseRevalidationDeclaration` in class `ParserExtension`
      Throws:
        `XPathException`

    - #### parseUpdatingFunctionDeclaration

          public void parseUpdatingFunctionDeclaration​(XQueryParser p)
                                                throws XPathException

      Parse an updating function declaration (allowed in XQuery Update only)
      Overrides:
        `parseUpdatingFunctionDeclaration` in class `ParserExtension`
      Throws:
        `XPathException` - if parsing fails or if updating functions are not allowed

    - #### parseExtendedExprSingle

          protected Expression parseExtendedExprSingle​(XPathParser p)
                                                throws XPathException

      Parse an ExprSingle
      Overrides:
        `parseExtendedExprSingle` in class `ParserExtension`
      Returns:
        the resulting subexpression
      Throws:
        `XPathException` - if any error is encountered